<!DOCTYPE html>
<html>
  <head>
    <title><%= Settings.name + (" | #{yield(:page_title)}" if yield(:page_title).present?).to_s %></title>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
    <%= csrf_meta_tags %>
    <% if user_signed_in? %>
      <%= stylesheet_pack_tag 'css/user' %>
      <%= javascript_pack_tag( current_user.role == 'superuser' ? 'js/admin' : 'js/user' ) %>
    <% else %>
      <%= stylesheet_pack_tag 'css/guest' %>
      <%= javascript_pack_tag 'js/guest' %>
    <% end %>
  </head>
  <body>
    <div id="app">
      <el-container class="wrapper">
        <el-header>
          <el-menu ref="home_menu" router :default-active="$route.path" mode="horizontal" background-color="#323a42" text-color="#fff" active-text-color="#ffd04b">
            <%= render partial: 'shared/home_menu' %>
            <%= render partial: 'shared/session_menu' %>
          </el-menu>
        </el-header>

        <el-container class="main">
          <%= yield %>
        </el-container>

        <el-footer>
          <el-menu ref="info_menu" router :default-active="$route.path" mode="horizontal" background-color="#f3f3f3">
            <%= render partial: 'shared/info_menu' %>
          </el-menu>
        </el-footer>
      </el-container>
    </div>
  </body>
</html>
